Computer Security
[EN] securityvulns.ru no-pyccku


glpng library buffer overflow
Published:11.08.2010
Source:
SecurityVulns ID:11060
Type:library
Threat Level:
5/10
Description:Heap buffer overflow in pngLoadRawF() function.
CVE:CVE-2010-1519 (Multiple integer overflows in glpng.c in glpng 1.45 allow context-dependent attackers to execute arbitrary code via a crafted PNG image, related to (1) the pngLoadRawF function and (2) the pngLoadF function, leading to heap-based buffer overflows.)
Original documentdocumentSECUNIA, Secunia Research: glpng PNG Processing Two Integer Overflow Vulnerabilities (11.08.2010)

About | Terms of use | Privacy Policy
© SecurityVulns, 3APA3A, Vladimir Dubrovin
Nizhny Novgorod